package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.dataobject.FireCheckRecordDeviceDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:03
 */
public interface FireCheckRecordDeviceRepository extends BaseRepository<FireCheckRecordDeviceDO> {
    PageResponse<FireCheckRecordDeviceDO> listPage(Map<String, Object> params);

    List<FireCheckRecordDeviceDO> getBackChecKRecordPoiList(List<String> idList, Integer checkedFlag);

    List<FireCheckRecordDeviceDO> getCheckRecordDeviceList(String fireRecordId);

    void updateNormalNull(Long id);

    List<FireCheckRecordDeviceDO> getCheckRecordDeviceListByRecordIdList(List<String> fireRecordIdList);
}

